Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`sip`.`IAuthorizer``

interface documentation

`class IAuthorizer(Interface): (source)`

View In Hierarchy

Undocumented

Method | `decode` | Create a credentials object from the given response.
Method | `getChallenge` | Generate a challenge the client may respond to.

def decode(response): (source)

Create a credentials object from the given response.

Parameters
response:`str` | Undocumented

def getChallenge(peer): (source)

Generate a challenge the client may respond to.

Parameters
peer:`tuple` | The client's address
Returns
`str` | The challenge string